> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/message/api-message-undelete.md).

# /api/message/undelete

## PATCH /api/message/undelete

> Mark message(s) undeleted

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/message/undelete"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"patch_message_undelete":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["messageid"]}}},"paths":{"/api/message/undelete":{"patch":{"description":"Mark message(s) undeleted","tags":["/api/message/undelete"],"parameters":[{"name":"messageid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/patch_message_undelete"}},"application/json":{"schema":{"$ref":"#/components/schemas/patch_message_undelete"}},"application/xml":{"schema":{"$ref":"#/components/schemas/patch_message_undelete"}}}}}}}}}
```
